	SUBROUTINE RESWR
	IMPLICIT REAL*8(A-H,O-Z)
	CHARACTER*80 TITLE
	CHARACTER*32 NAME
	EXTERNAL PIS
	INTEGER EACHIT
	REAL*8 BE(4,15),DEMF(200),DEV(200),C(250,20),DECHAR(50,5),DEXTIN
     *      (50,4),EST(5),ALFA(5)
	COMMON
     *      /UNI/ M,N,MM,NWAVE,NWAVAR,NREDE,NSTODE,NCHAR,NCHARV,NSPEK,
     *      NPOT,NIM,NNREDE,MNREDE,NREDE1,M1,MX,MX1,ISOL,NPARAM,MXNWA1
     *      ,MXNWA,NEXP,NUMIT,MAXMAR,MAXIT,MAXU,KON30,KON15,KON5,
     *      EACHIT
     *      /U1/
     *      BLOG,RMIND,REL,DUMDT,RLAMBD,VMARQ,WNORM,RKRYT,EST,ALFA,
     *      SIGEMF,SIGMAV,COEXP,PARS,UZG
	COMMON
     *      /C2/ BE,DEMF,DEV
     *      /C3/ C,DECHAR
     *      /C6/ VM(5),NPINT(5),NPINTS(5)
     *      /C8/ T(250,5)
     *      /C9/ V(200)
     *      /C15/ DEXTIN
     *      /C16/ EMF(200)
        COMMON /ADDED/ IDERIV,NVART,VART(5)
        COMMON /NAMES/ TITLE,NAME(15)
	WRITE (9,'(/80(1H*)/A/80(1H*))') TITLE
	IF (NCHARV.EQ.0) GOTO 2
	WRITE(9,1000)
1000	FORMAT(//'Residuals in characteristics:'//)
	CALL PIS(50,1,NSPEK,1,NCHARV,6,DECHAR)
	IF(NCHARV.LE.1) GOTO 2
	SUM=0.0
	DO 3 I=1,NSPEK
	DO 3 J=1,NCHARV
3	SUM=SUM+DECHAR(I,J)**2
	SUM=DSQRT(SUM/(NSPEK*NCHARV-1))
	WRITE(9,1004)SUM
1004	FORMAT(//'Standard deviation in characteristics:',1pe10.4//)
2	CONTINUE
	IF(NSPEK.EQ.0) GOTO 1
	WRITE(9,1001)
1001	FORMAT(//'Residuals in absorbances:'//)
	CALL PIS(50,1,NSPEK,1,NWAVE,6,DEXTIN)
	IF(NSPEK*NWAVE.LE.1) GOTO 1
	SUM=0.0
	DO 4 I=1,NSPEK
	DO 4 J=1,NWAVE
4	SUM=SUM+DEXTIN(I,J)**2
	SUM=DSQRT(SUM/(NSPEK*NWAVE-1))
	WRITE(9,1005)SUM
1005	FORMAT(//'Standard deviation in absorbance:',f9.4//)
1	CONTINUE
	IF(NPOT.EQ.0) RETURN
	WRITE(9,1002)
1002  FORMAT(/'Calculated titrant volumes, EMFs, and their residuals.')	
	do ititr=1,nexp
	WRITE(9,'(/a,i2,1h./)') 'Titration',ititr
	write (9,1009)
1009    FORMAT(' Nr',6x,'V',7x,'Res. V',5x,'EMF',4x,'Res. EMF'/)
	WRITE(9,1003)(I,V(I+NPINTS(ITITR)),DEV(I+NPINTS(ITITR)),
     &	EMF(I+NPINTS(ITITR))+DEMF(I+NPINTS(ITITR)),
     &  DEMF(I+NPINTS(ITITR)),I=1,NPINT(ITITR))
1003	FORMAT(250(I3,2F10.3,2F10.2/))
        enddo
	IF(NPOT.LE.1) RETURN
	SUM=0.0
	DO 6 I=1,NPOT
6	SUM=SUM+DEV(I)**2
	SUM=DSQRT(SUM/(NPOT-1))
	WRITE(9,1007) SUM
1007	FORMAT(/'Standard deviation in titrant volume:',f10.6)
	SUM=0.0
	DO 5 I=1,NPOT
5	SUM=SUM+DEMF(I)**2
	SUM=DSQRT(SUM/(NPOT-1))
	WRITE (9,1006) SUM
1006	FORMAT('Standard deviation in EMF:',F10.5//)
C Punch calculated values
        if (nvart.eq.0) then
	  write (11,'(2f10.3)') (v(i),emf(i)+demf(i),i=1,npot)
        else	  
          do ipot=1,npot
            vv=0.0
	    do i=1,nim
	      if (vart(i).ne.0.0) vv=vv+vart(i)*dlog(t(ipot,i))/blog
            enddo
	    write (11,'(2f10.3)') vv,emf(ipot)+demf(ipot)
          enddo
        endif
	RETURN
	END
